Package org.eclipse.birt.chart.model.attribute

# Interface Image

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `Fill`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Subinterfaces:
  `EmbeddedImage`, `PatternImage`

All Known Implementing Classes:
  `EmbeddedImageImpl`, `ImageImpl`, `PatternImageImpl`

public interface Image extends Fill
A representation of the model object 'Image'. Image extends Fill specialized to represent an image.

The following features are supported:

- `URL`
- `Source`

See Also:
  - `AttributePackage.getImage()`

## Method Summary

Modifier and Type
Method
Description
`Image`
`copyInstance()`
`ImageSourceType`
`getSource()`
Returns the value of the 'Source' attribute.
`String`
`getURL()`
Returns the value of the 'URL' attribute.
`boolean`
`isSetSource()`
Returns whether the value of the '`Source`' attribute is set.
`void`
`setSource(ImageSourceType value)`
Sets the value of the '`Source`' attribute.
`void`
`setURL(String value)`
Sets the value of the '`URL`' attribute.
`void`
`unsetSource()`
Unsets the value of the '`Source`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.birt.chart.model.attribute.Fill

`getType, isSetType, setType, unsetType`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getURL

String getURL()
Returns the value of the 'URL' attribute. Gets the URL for the image. Specifies the URL for the image.

Returns:
  the value of the 'URL' attribute.
See Also:
  - `setURL(String)`
  - `AttributePackage.getImage_URL()`

### setURL

void setURL(String value)
Sets the value of the '`URL`' attribute. Sets the URL for the image.

Parameters:
  `value` - the new value of the 'URL' attribute.
See Also:
  - `getURL()`

### getSource

ImageSourceType getSource()
Returns the value of the 'Source' attribute. The literals are from the enumeration `ImageSourceType`. The string attribute "source" specifies the source of the URL.

Returns:
  the value of the 'Source' attribute.
See Also:
  - `ImageSourceType`
  - `isSetSource()`
  - `unsetSource()`
  - `setSource(ImageSourceType)`
  - `AttributePackage.getImage_Source()`

### setSource

void setSource(ImageSourceType value)
Sets the value of the '`Source`' attribute.

Parameters:
  `value` - the new value of the 'Source' attribute.
See Also:
  - `ImageSourceType`
  - `isSetSource()`
  - `unsetSource()`
  - `getSource()`

### unsetSource

void unsetSource()
Unsets the value of the '`Source`' attribute.

See Also:
  - `isSetSource()`
  - `getSource()`
  - `setSource(ImageSourceType)`

### isSetSource

boolean isSetSource()
Returns whether the value of the '`Source`' attribute is set.

Returns:
  whether the value of the 'Source' attribute is set.
See Also:
  - `unsetSource()`
  - `getSource()`
  - `setSource(ImageSourceType)`

### copyInstance

Image copyInstance()

Specified by:
  `copyInstance` in interface `Fill`
Specified by:
  `copyInstance` in interface `IChartObject`